RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1061730 - successful yum or rpm install reports failed, rpmdb bloat
Summary: successful yum or rpm install reports failed, rpmdb bloat
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm
Version: 7.0
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 953719
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 14:02 UTC by Panu Matilainen
Modified: 2014-06-18 02:11 UTC (History)
9 users (show)

Fixed In Version: rpm-4.11.1-14.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 953719
Environment:
Last Closed: 2014-06-13 13:13:43 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)

Description Panu Matilainen 2014-02-05 14:02:07 UTC
+++ This bug was initially created as a clone of Bug #953719 +++

Description of problem:

A large package built on EL6 and which installs without errors on EL6 produces an error - install failed - with either yum or rpm.  All the files are correctly installed (as confirmed by rpm -Vp package.rpm) but the package is not listed as installed by either yum or rpm.

Version-Release number of selected component (if applicable):
rpm-4.10.3.1-1.fc18.x86_64


How reproducible:

Always.


Steps to Reproduce:
1. yum install or rpm -ivh package-version-1.rpm
2.
3.
  
Actual results:
Package files are installed but yum or rpm report install as failed.  yum reports additionally: was supposed to be installed but is not!


Expected results:

Install should succeed as it does on EL6.


Additional info:

Package was built on EL6, but other packages built on EL6 the exact same way install without errors and this package installs without error on EL6.

rpm --rebuilddb didn't help.


Thanks
--
Ian

--- Additional comment from Panu Matilainen on 2013-04-24 02:31:26 EDT ---

The symptoms sound a lot like bug 706935: there's a window near the maximum header size where a package can be built but installation fails because of data added to the header during installation. However the reproducer I've seen for that case causes EL6 to crash whereas newer versions behave like reported here so its possible there's something else at play. Any chance you could make the reproducer package available (privately if need be) for reproducing purposes?

--- Additional comment from Panu Matilainen on 2013-05-20 06:22:41 EDT ---

Any chance you could make the reproducer package available (privately if need be) for reproducing purposes?

--- Additional comment from Ian Mortimer on 2013-05-20 21:36:27 EDT ---

(In reply to Panu Matilainen from comment #2)

> Any chance you could make the reproducer package available 

It's part of a commercial package (Matlab) so I can't easily make it available.  I had to split the package into 3 rpms to fit under the rpm header limit and the largest is the one causing problems.  Probably found a corner case where it just makes it under the limit on EL6 but gets too big on Fedora.

It's not a major problem for us so I'm happy to close the bug.


Thanks
--
Ian

--- Additional comment from Fedora End Of Life on 2013-12-21 07:53:35 EST ---

This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Panu Matilainen on 2014-02-05 07:16:34 EST ---

I think I found the issue while I was investigating something entirely different:
http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=da3a3a14e757ccd517e2eb2a3f0293ff48b3ff7f

F18 is EOL by now so wont get fixed there, but newer Fedora versions are affected as well and require updates for this.

--- Additional comment from Panu Matilainen on 2014-02-05 09:00:18 EST ---

Another "minor" side-effect of this bug is that bloats the Packages rpmdb file to almost double the size.

Prior to the fix in comment #5:
[root@localhost rpm]# ./rpm -U --nosignature --justdb --root /srv/test/ ~pmatilai/mft/f19-std.mft 
[root@localhost rpm]# ls -l /srv/test/var/lib/rpm/Packages 
-rw-r--r--. 1 root root 24403968 Feb  5 15:54 /srv/test/var/lib/rpm/Packages

With the fix:
[root@localhost rpm]# ./rpm -U --nosignature --justdb --root /srv/test/ ~pmatilai/mft/f19-std.mft 
[root@localhost rpm]# ls -l /srv/test/var/lib/rpm/Packages 
-rw-r--r--. 1 root root 12865536 Feb  5 15:55 /srv/test/var/lib/rpm/Packages

Disk has become too cheap and plentiful for this to go entirely unnoticed for so long...

Anyway, thanks for reporting the issue, even if it took me ages to puzzle it out.

Comment 1 Panu Matilainen 2014-02-05 14:27:28 UTC
Besides just being an ugly bug, its also a regression...

Comment 7 Panu Matilainen 2014-02-18 14:25:17 UTC
Fixed in rpm-4.11.1-14.el7

Comment 10 Ludek Smid 2014-06-13 13:13:43 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.